var lookmore = document.getElementById('lookmore'); // 查看更多
var notice = document.getElementById('notice'); // 通知列表
var base_url = window.localStorage.getItem('domain'); // ajax请求地址
var user_info = JSON.parse(window.localStorage.getItem('user_info')); // 用户信息
var user_id = user_info.user_id; // 用户id

var clearStorage = document.getElementById('clearStorage');
var clearStorageAll = document.getElementById('clearStorageAll');
var content = document.getElementsByClassName('content')[0];

var heaTitle = document.getElementById('heaTitle'); //获取title
var is_first = true; // 当前页面是否为第一次加载
var next_pager = ''; // 下一页的页码
var pager = 1;
// 清除storage
clearStorage.onclick = function() {
	window.localStorage.removeItem('loading');
}
clearStorageAll.onclick = function() {
	window.localStorage.removeItem('loading');
	window.localStorage.removeItem('company_id');
	window.localStorage.removeItem('domain');
	window.localStorage.removeItem('nickname');
	window.localStorage.removeItem('fullname');
	window.localStorage.removeItem('domain');
}
/*---------------------------------------    登陆验证完成               -----------------------------------------------*/

mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
			auto: true,
			offset: '44px', //可选 默认0px,下拉刷新控件的起始位置
			contentrefresh: '<div>loading...</div>',
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '<div>玩命加载中...</div>',
			callback: pullupRefresh
		}
	}
});

var count = 0;

/**
 * 上拉加载
 * */
function pullupRefresh() {
	if(next_pager == '') {
		//参数为true代表没有更多数据了。
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		return;
	}
	setTimeout(function() {
		getData(user_id, next_pager);
	}, 1500);

}

/**
 * 下拉刷新具体业务实现
 * */
function pulldownRefresh() {
	setTimeout(function() {
		getData(user_id, 1);
	}, 1000);
}

function getData(user_id, pager) {
	mui.ajax(base_url + 'api/app/note/all', {
		data: {
			user_id: user_id,
			pager: pager
		},
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒； 
		success: function(data) {
			if(data.status == 200) {
				next_pager = data.pager_info.next_pager;
				var data = data.data;
				if(pager === 1) {
					notice.innerHTML = ''
				}

				for(var i = 0; i < data.length; i++) {
					var li = document.createElement("li");
					li.plan_id = data[i].plan_id;
					li.className = 'mui-table-view-cell';
					if(data[i].is_notified == 2) {
						li.innerHTML = `
									<a class="mui-navigate-right">
										<span class="mui-badge mui-badge-success">已读</span>
										<div class="course_name">
											课程名称: ${data[i].course_name} 
										</div>
										<div class="publish_name">
											发布人: <span> ${data[i].user_name}</span>
										</div>
										<div class="publish_time">
											<p>${data[i].created_at}</p>
										</div>
									</a>`
					} else {
						li.innerHTML = `
									<a class="mui-navigate-right">
										<span class="mui-badge mui-badge-danger">未读</span>
										<div class="course_name">
											课程名称: ${data[i].course_name} 
										</div>
										<div class="publish_name">
											发布人: <span> ${data[i].user_name}</span>
										</div>
										<div class="publish_time">
											<p>${data[i].created_at}</p>
										</div>
									</a>`
					}
					//					notice.appendChild(li)
				}
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh()
				mui('#pullrefresh').pullRefresh().refresh(true);
				
				var div = document.createElement('div');
				div.className = 'hint-null';
				div.innerHTML = `
					<img src="../../img/promptMessage.png" />
					<p>当前章节暂无知识点,请联系公司管理员为您添加。<p>
				`;
				notice.appendChild(div)
				

				if(is_first === false) {
					mui.toast('刷新成功')
				}
				is_first = false;
			} else if(data.status == 404) {
				var div = document.createElement('div');
				div.className = 'hint-null';
				div.innerHTML = `
								<img src="img/promptMessage.png"/>
								<p>当前章节暂无知识点,请联系公司管理员为您添加。<p>
								
							`;
				notice.appendChild(div)

			} else {
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				mui('#pullrefresh').pullRefresh().endPullupToRefresh()
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui.toast(data.message)
			}

		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().endPullupToRefresh()
			mui('#pullrefresh').pullRefresh().refresh(true);
			mui.toast('服务器异常，请重试')
			console.log(type);
		}
	})

}

mui.plusReady(function() {
	// 通知数据获取
	// 点击通知列表
	mui('#notice').on('tap', 'li', function() {
		var plan_id = this.plan_id // 获取当前课程id
		mui.openWindow({
			url: 'detailsNotice.html',
			id: 'detailsNotice.html',
			extras: {
				plan_id: plan_id, //扩展参数
			}
		})
		this.querySelector('.mui-badge').className = 'mui-badge mui-badge-success';
		this.querySelector('.mui-badge').innerHTML = '已读';
	})
})