window.onload = function() {
	var submit1 = document.getElementById('submit'); // 获取第一个提交
	var submit2 = document.getElementById('submit2'); // 
	var submit3 = document.getElementById('submit3'); // 获取到登陆按钮
	var loading1 = document.getElementById('loading1'); //获取到弹窗1
	var loading2 = document.getElementById('loading2'); // 获取到弹窗2
	var loading3 = document.getElementById('loading3'); // 获取到弹窗2
	var forget = document.getElementsByClassName('forget')[0]; // 获取到忘记密码
	var clearStorage = document.getElementById('clearStorage');
	var companyBox = document.getElementById('company'); // 拿到存储公司的盒子
	var loadText = document.getElementById('loadText');
	var way = ''; // 存储当前登录验证方式 邮箱或密码
	
	if(window.localStorage.getItem('domain') && window.localStorage.getItem('login_way')){
		loading1.style.display = 'none';
		loading3.style.display = 'none';
		loading2.style.display = 'block';
		way = window.localStorage.getItem('login_way');
		loadText.innerHTML = localStorage.getItem('fullname');
	}
	// 第一个登陆提交
	submit1.addEventListener('tap', function() {
		var companyId = document.getElementById('companyId'); // 获取到公司id
		var company = companyId.value;
		if(company == null || company == '') {
			mui.toast('公司名称不能为空');
			return;
		}
		// 发送请求
		mui.ajax('http://manage.phpcamp.cn/api/etraining/companies', {
			data: {
				name: company
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；              
			success: function(data) {
				var companyItem;
				var name = [];
				//判断如果没有成功的话 提示失败原因
				if(data.status != 200) {
					mui.toast(data.message);
					return;
				}
				for(var i in data.data) {
					name.push(data.data[i]);
				}
				for(var i = 0; i < name.length; i++) {
					var div = document.createElement('div');
					var label = document.createElement('label');
					var input = document.createElement('input');
					div.className = "mui-input-row mui-radio mui-left company";
					label.innerHTML = name[i].nickname;
					input.setAttribute("name", "radio1")
					input.setAttribute("type", "radio")
					input.setAttribute("class", "radio")
					input.setAttribute("value", name[i].company_id)
					div.appendChild(label);
					div.appendChild(input);
					companyBox.appendChild(div);
				}
				loading1.style.display = 'none';
				loading3.style.display = 'block';
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				console.log(type);
			}
		});
	})

	// 确认公司
	submit3.addEventListener('tap', function() {
		var userName = document.getElementsByClassName('userName')[0]; // 获取到用户邮箱
		var aInput = loading3.getElementsByClassName('radio');
		for(var i = 0; i < aInput.length; i++) {
			if(aInput[i].checked) {
				var id = aInput[i].value;
				mui.ajax('http://manage.phpcamp.cn/api/etraining/companyinfo', {
					data: {
						id: id
					},
					type: 'get', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；              
					success: function(data) {
						window.localStorage.setItem('company_id', data.data.company_id);
						window.localStorage.setItem('domain', data.data.domain);
						window.localStorage.setItem('nickname', data.data.nickname);
						window.localStorage.setItem('fullname', data.data.fullname);
						var base_url = window.localStorage.getItem('domain');
						mui.ajax(base_url + 'api/app/auth/login_way', {
							type: 'get',
							success: function(data) {
								if(data.status == 200) {
									userName.setAttribute('type', data.data.login_way);
									data.data.login_way === 'phone' ? way = '手机号' : way = '邮箱';
									window.localStorage.setItem('login_way',way);
									userName.setAttribute('placeholder', '请输入' + way);
									loading3.style.display = 'none';
									loading2.style.display = 'block';
									loadText.innerHTML = localStorage.getItem('fullname');
								} else{
									mui.toast('信息异常，请反馈或联系管理员');
								}
							},
							error: function(xhr, type, errorThrown) {
								//异常处理；
								console.log(type);
								mui.toast('请求异常，请反馈');
							}
						})

					},
					error: function(xhr, type, errorThrown) {
						//异常处理；
						console.log(type);
						mui.toast('请求异常，请反馈');
					}
				});
				return;
			} else {
				mui.toast('请确认公司信息');
			}
		}
	})

	// 最终登陆的时候
	submit2.addEventListener('tap', function() {
		var userName = document.getElementsByClassName('userName')[0]; // 获取到用户邮箱
		var userPass = document.getElementsByClassName('userPass')[0]; // 获取到用户密码
		var footer = document.getElementById('footer') //获取底部选项卡
		var domain = window.localStorage.getItem('domain'); //获取全局BASE_URL
		var userNameVal = userName.value;
		var userPassVal = userPass.value;
		if(way === '邮箱') {
//			if(userNameVal == null || userNameVal == '') {
//				mui.toast('请输入邮箱');
//				return;
//			}
//			if(!/^[a-zA-Z0-9_.-]+@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*\.[a-zA-Z0-9]{2,6}$/.test(userNameVal)) {
//				mui.toast('邮箱格式错误');
//				return;
//			}
		} else {
//			if(userNameVal == null || userNameVal == '') {
//				mui.toast('请输入手机号');
//				return;
//			}
//			if(!/^1[3|4|5|7|8][0-9]{9}$/.test(userNameVal)) {
//				mui.toast('手机号格式错误');
//				return;
//			}
		}

		if(userPassVal == null || userPassVal == '') {
			mui.toast('请输入密码');
			return;
		}

		// 发送请求
		mui.plusReady(function () {
		    mui.ajax(domain + 'api/app/auth/login', {
				data: {
					username: userNameVal,
					password: userPassVal
				},
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；              
				success: function(data) {
					if(data.status === 200) {
						window.localStorage.setItem('user_info', JSON.stringify(data.data));
						//  判断
						mui.toast('邮箱：' + userNameVal + '; 密码：' + userPassVal);
						loading2.style.display = 'none';
						// 修改title值
						// 设置storage
//						var wobj = plus.webview.getWebviewById("index.html");
//	                    wobj.reload(true);
						window.localStorage.setItem('loading', 'true');
//						plus.webview.currentWebview().close();
//						plus.webview.open('index.html');
						mui.back()
					} else {
						mui.toast(data.message)
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					console.log(type);
					mui.toast('请求异常，请反馈');
				}
			});
		})
	})

	// 点击忘记密码
	forget.onclick = function() {
		mui.toast('忘记密码请联系贵公司的管理员');
	}

}